=== debian/control ===
Source: r-bioc-delayedarray
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Graham Inggs <ginggs@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               architecture-is-64-bit,
               dh-r,
               r-base-dev,
               r-cran-matrix,
               r-bioc-biocgenerics (>= 0.50.0),
               r-bioc-matrixgenerics (>= 1.16.0),
               r-bioc-s4vectors (>= 0.42.1),
               r-bioc-iranges (>= 2.38.1),
               r-bioc-s4arrays (>= 1.4.1),
               r-bioc-sparsearray (>= 1.4.8)
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-delayedarray
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-delayedarray.git
Homepage: https://bioconductor.org/packages/DelayedArray/
Rules-Requires-Root: no

Package: r-bioc-delayedarray
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         r-bioc-biocgenerics (>= 0.50.0),
         r-bioc-matrixgenerics (>= 1.16.0),
         r-bioc-s4vectors (>= 0.42.1),
         r-bioc-iranges (>= 2.38.1),
         r-bioc-s4arrays (>= 1.4.1),
         r-bioc-sparsearray (>= 1.4.8)
Recommends: ${R:Recommends}
Suggests: ${R:Suggests},
          r-bioc-biocparallel (>= 1.38.0),
          r-bioc-hdf5array (>= 1.32.0),
          r-bioc-genefilter (>= 1.86.0),
          r-bioc-summarizedexperiment (>= 1.34.0),
          r-bioc-delayedmatrixstats (>= 1.26.0),
          r-bioc-biocstyle (>= 2.32.1)
Description: BioConductor delayed operations on array-like objects
 Wrapping an array-like object (typically an on-disk object) in
 a DelayedArray object allows one to perform common array operations
 on it without loading the object in memory. In order to reduce memory
 usage and optimize performance, operations on the object are either
 delayed or executed using a block processing mechanism. Note that this
 also works on in-memory array-like objects like DataFrame objects
 (typically with Rle columns), Matrix objects, and ordinary arrays and
 data frames.
