## r-bioc-delayedarray 0.32.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -13,7 +13,7 @@
         GenomeAnnotation
 URL: https://bioconductor.org/packages/DelayedArray
 BugReports: https://github.com/Bioconductor/DelayedArray/issues
-Version: 0.30.1
+Version: 0.32.0
 License: Artistic-2.0
 Encoding: UTF-8
 Authors@R: c(
@@ -25,9 +25,9 @@
 		email="peter.hickey@gmail.com"))
 Maintainer: Hervé Pagès <hpages.on.github@gmail.com>
 Depends: R (>= 4.0.0), methods, stats4, Matrix, BiocGenerics (>=
-        0.43.4), MatrixGenerics (>= 1.1.3), S4Vectors (>= 0.27.2),
-        IRanges (>= 2.17.3), S4Arrays (>= 1.3.5), SparseArray (>=
-        1.1.10)
+        0.51.3), MatrixGenerics (>= 1.1.3), S4Vectors (>= 0.27.2),
+        IRanges (>= 2.17.3), S4Arrays (>= 1.5.4), SparseArray (>=
+        1.5.42)
 Imports: stats
 LinkingTo: S4Vectors
 Suggests: BiocParallel, HDF5Array (>= 1.17.12), genefilter,
@@ -44,17 +44,17 @@
         DelayedAbind-class.R showtree.R simplify.R DelayedArray-class.R
         DelayedArray-subsetting.R chunkGrid.R RealizationSink-class.R
         realize.R DelayedArray-utils.R DelayedArray-stats.R
-        DelayedMatrix-stats.R DelayedMatrix-rowsum.R
+        matrixStats-methods.R DelayedMatrix-rowsum.R
         DelayedMatrix-mult.R ConstantArray-class.R RleArraySeed-class.R
         RleArray-class.R compat.R zzz.R
 git_url: https://git.bioconductor.org/packages/DelayedArray
-git_branch: RELEASE_3_19
-git_last_commit: 099a643
-git_last_commit_date: 2024-05-06
-Repository: Bioconductor 3.19
-Date/Publication: 2024-05-07
+git_branch: RELEASE_3_20
+git_last_commit: 980c34e
+git_last_commit_date: 2024-10-29
+Repository: Bioconductor 3.20
+Date/Publication: 2024-10-29
 NeedsCompilation: yes
-Packaged: 2024-05-07 20:49:45 UTC; biocbuild
+Packaged: 2024-10-30 00:20:53 UTC; biocbuild
 Author: Hervé Pagès [aut, cre],
   Aaron Lun [ctb],
   Peter Hickey [ctb]
