=== debian/watch ===
version=4

opts="repack,repacksuffix=+dfsg,dversionmangle=auto,compression=xz,downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc?" \
  https://bioconductor.org/packages/release/bioc/html/DelayedArray.html .*/DelayedArray_(.*).tar.gz
